%define build_scsi 0

Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary:	software emulation of the Amiga system
Name:		e-uae
Version: 	0.8.29
Release: 	1
License:	GNU/GPL
URL:		http://uae.coresystems.de/
Group: 		Emulators
Source:		%{name}-%{version}-WIP3.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  zlib-devel

%description 
This is a version of UAE, the Ubiquitous Amiga Emulator, with an emulation core largely based on WinUAE. It attempts to bring many of the great features of WinUAE to non-Windows platforms. This version now finally has a name, E-UAE, since that's what everybody was calling it anyway. The 'E' can stand for anything you fancy. Experimental, extreme, exciting, egalitarian, eggplant, . . .
Currently it will build and run (with a varying degree of supported features) on Linux and other Unices, Mac OS X, BeOS, AmigaOS itself (either for 68k machines or PPC machines with AmigaOS 4.0 and the AmigaOS clones MorphOS and AROS). OS X requires either LibSDL or an X server for graphics output, but native graphics are supported on AmigaOS and BeOS, although, at the moment, SDL is also preferred on BeOS since the native driver is incomplete.
E-UAE is open-source software and is made available under the terms of the GNU GPL. E-UAE is based on the work of dozens of contributors including Bernd Schmidt (the original author and maintainer of UAE), Bernie Meyer (the author of the x86 JIT compiler), Toni Wilen (the current maintainer of WinUAE), and many more.
To make full use of E-UAE you will need access to an image of some version of the Amiga Kickstart ROM (although UAE does include a ROM emulation which may work with some old games). The Amiga Kickstart ROMs are copyrighted material and may not be freely distributed (so don't ask me for a copy). If you don't have an Amiga from which you can legally make a ROM image, a selection of ROM images are available for purchase online from Cloanto - publishers of the Amiga Forever distribution.

%prep
%setup -q -n %{name}-%{version}-WIP3

%build
CFLAGS="$RPM_OPT_FLAGS -O3 -pipe -ffast-math -fomit-frame-pointer -Wa,--execstack" 
./configure 	--prefix=%_prefix \
		--with-alsa \
		--with-x \
                --with-sdl \
                --with-sdl-sound \
                --with-sdl-gfx \
                --enable-threads \
                --enable-ui \
                --enable-jit \
%if %build_scsi
                --enable-scsi-device \
                --with-libscg-includedir=`pwd`/src/include/ \
                --with-libscg-libdir=`pwd`/src \
%else
                --disable-scsi-device \
%endif
                --enable-bsdsock-new
		
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin \
        $RPM_BUILD_ROOT%{_libdir}/uae/amiga/source
make install DESTDIR=$RPM_BUILD_ROOT
cp -pR amiga/* $RPM_BUILD_ROOT/%{_libdir}/uae/amiga/.
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%_bindir
%_libdir 

%changelog
* Tue Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.29-1
- Initial Release
- WIP3
